#!/usr/bin/python
#
#  module containing all the shared messages used by up2date
#
# Copyright (c) 1999-2002 Red Hat, Inc.  Distributed under GPL.
#
# Author: Adrian Likins <alikins@redhat.com
#
# $Id: up2dateMessages.py 178271 2008-10-30 14:51:44Z pkilambi $

from rhpl.translate import _, N_

needToRegister = _("You need to register this system by running `up2date --register` before using this option")

storageDirWarningMsg = _("""The storage directory %s could not be found, or was not accessable.""") 

rootWarningMsg = _("You must run the Update Agent as root.")

registeredWarningMsg = _("""You are not registered with CentOS Network.  To use Update Agent,
You must be registered.

To register, run \"up2date --register\".""")


gpgWarningGuiMsg = _("""Your GPG keyring does not contain the CentOS public key.
Without it, you will be unable to verify that packages Update Agent downloads
are securely signed by Red Hat.

Your Update Agent options specify that you want to use GPG.""")

gpgWarningMsg = _("""Your GPG keyring does not contain the CentOS public key.
Without it, you will be unable to verify that packages Update Agent downloads
are securely signed by Red Hat.

Your Update Agent options specify that you want to use GPG.

To install the key, run the following as root:
""")
